POST api/campaigns/preview
Request Information
URI Parameters
None.
Body Parameters
CampaignPreviewDto| Name | Description | Type | Additional information |
|---|---|---|---|
| CampaignId | globally unique identifier |
None. |
|
| ToPersonIds | Collection of globally unique identifier |
None. |
|
| IsNewPerson | boolean |
None. |
|
| string |
None. |
||
| Telephone | string |
None. |
|
| Firstname | string |
None. |
|
| Lastname | string |
None. |
|
| Address | string |
None. |
|
| Postcode | string |
None. |
|
| City | string |
None. |
|
| ProductIds | Collection of string |
None. |
|
| FilterIds | Collection of globally unique identifier |
None. |
|
| FilterMaxCount | integer |
None. |
|
| FilterNoOrderInDays | integer |
None. |
|
| FilterNoCampaignInDays | integer |
None. |
|
| FilterMustNotBeStopped | boolean |
None. |
|
| FilterOrderOnProducts | Collection of globally unique identifier |
None. |
|
| FilterOrderOnCampaigns | Collection of globally unique identifier |
None. |
|
| DestinationType | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"campaignId": "ec6ba15c-a3f7-4c6d-b590-d21dc762feb9",
"toPersonIds": [
"bd9a0248-b3bd-46cc-872e-501930bcb6ee",
"d2fb1afa-ea74-4af6-ab67-205b4af93ff1"
],
"isNewPerson": true,
"email": "sample string 2",
"telephone": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"address": "sample string 6",
"postcode": "sample string 7",
"city": "sample string 8",
"productIds": [
"sample string 1",
"sample string 2"
],
"filterIds": [
"c316f1f9-46dc-45bb-bae3-dd461222b70b",
"2378c149-44ea-4e29-a77e-00d6f51066ff"
],
"filterMaxCount": 9,
"filterNoOrderInDays": 10,
"filterNoCampaignInDays": 11,
"filterMustNotBeStopped": true,
"filterOrderOnProducts": [
"9e1be70d-0992-43e9-8c83-40b296a5e690",
"90713682-2596-4210-be29-8609c189dc9d"
],
"filterOrderOnCampaigns": [
"12cd64e3-e37d-415e-92b9-74f1981d29b6",
"5f38759d-a32b-429b-9a96-2bf3a136739e"
],
"destinationType": "sample string 13"
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.